Bug 523967

Summary: Review Request: ldapvi - Interactive LDAP client for Unix terminals
Product: [Fedora] Fedora Reporter: Matěj Cepl <mcepl>
Component: Package ReviewAssignee: Dan Horák <dan>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: dan, dcantrell, fedora-package-review, mcepl, mcepl, notting, rcritten
Target Milestone: ---Flags: dan: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-19 20:36:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 511746    

Description Matěj Cepl 2009-09-17 12:50:24 UTC
Spec URL: http://mcepl.fedorapeople.org/rpms/ldapvi.spec
SRPM URL: http://mcepl.fedorapeople.org/rpms/ldapvi-1.8-0.1.git20090917.1.fc12.src.rpm
Description: 
ldapvi is an interactive LDAP client for Unix
terminals. Using it, you can update LDAP entries with a text
editor.

Think of it as vipw(1) for LDAP.

Comment 1 Matěj Cepl 2009-09-17 12:51:56 UTC
The package has been orphaned and FTBFS (see the blocked bug). Now trying to revive.

Comment 2 Rob Crittenden 2009-09-17 14:25:23 UTC
I think a more robust description of where Source0 comes from is needed per https://fedoraproject.org/wiki/Packaging:SourceURL

Comment 3 Matěj Cepl 2009-09-17 19:18:50 UTC
(In reply to comment #2)
> I think a more robust description of where Source0 comes from is needed per
> https://fedoraproject.org/wiki/Packaging:SourceURL  

Is this better?

# Use the following commands to generate the tarball:
# git clone http://www.lichteblau.com/git/ldapvi.git
# git archive --prefix=ldapvi/ HEAD | bzip2 >ldapvi.tar.bz2

Comment 4 Rob Crittenden 2009-09-17 23:09:45 UTC
Lots better, thanks. I think that the git revision should be in the spec somewhere too (even if not part of the n-v-r).

Comment 5 Matěj Cepl 2009-09-18 15:07:01 UTC
Thanks to Danny for help, new packages (using the released source but patched to be compilable on Fedora) are on
http://mcepl.fedorapeople.org/rpms/ldapvi-1.7-9.fc12.src.rpm
http://mcepl.fedorapeople.org/rpms/ldapvi.spec

Comment 6 Dan Horák 2009-09-18 15:14:06 UTC
formal review is here:

OK	source files match upstream:
	    d1cde4cbb618180f9ae0e77c56a1520b8ad61c9a  ldapvi-1.7.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible (GPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

This package is APPROVED.

Comment 8 Matěj Cepl 2009-09-19 23:07:39 UTC
Package Change Request
======================
Package Name: ldapvi
New Branches: EL-5
Owners: mcepl

Comment 9 Jason Tibbitts 2009-09-22 01:37:08 UTC
I've done the EL-5 branch, but I note that this package is currently orphaned in rawhide.  If the goal was to revive it, shouldn't someone own it so that it will branch for F-12?

Comment 10 Matěj Cepl 2009-09-22 11:54:27 UTC
(In reply to comment #9)
> I've done the EL-5 branch, but I note that this package is currently orphaned
> in rawhide.  If the goal was to revive it, shouldn't someone own it so that it
> will branch for F-12?  

Thanks, and yes there is some mess in bit for this package. I have reopened https://fedorahosted.org/rel-eng/ticket/2201 so hopefully jk_eating will take a look at it.